WordPressを携帯対応にするプラグイン

OpenPNEのような国産のオープンソースでは純正で携帯に対応するのがお約束となっているが、WordPressはデフォルトでは携帯に対応していない。

携帯に対応させる数種類のプラグインが作られているが、最も高機能なのはKtai Styleだが、PHP4には未対応。
理想的にはサーバーのPHPを5.2以上に上げることだが、クライアントによってはレンタル、ホスティングしているサーバーの関係で自由が効かない場合がある。

そんな時の選択として『Mobile Eye+』がお薦め。PHP4の環境でも使える。
ちなみにWordPressの最新版2.6.2でも使用可能だった。

使い方は簡単。ダウンロードしたファイルを解凍(「wordpress」というフォルダ名になるが悩まないように)フォルダの中にある「wp-content」フォルダの中にある「plugins」フォルダの中にある「mobile_eye」フォルダを、サーバー上のpluginsフォルダにアップロードし、Mobile Eye+プラグインを有効化するだけでいい。

■問題点
設定で、デザイン他を変更することが可能だが、UTF-8環境下では文字化けする。
SHIFT-JISにすれば表示は可能だが、設定は反映されなかった。

 

デジタルゲートがお手伝い

ホームページをリニューアルしたい、スマホ対応にしたい、デザインそのままで機能だけ追加したい、更新だけ代行して欲しい。サイトを運営したいけど誰に相談したらいいか分からない。そんな時はお気軽にお問い合わせください。

スポンサーリンク